QGIS Application - Bug report #7956
QGIS Server: problem with two project with same layers
2013-05-31 01:21 AM - leolami -

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:1.8.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 16816
Description

Hi all,

there is a problem when | have two projects with one or more layers that are present in both projects.
If | set different styles for this layers in QGIS Desktop and | see the two projects in QGis Server | have no difference styles for this layers.
It seems that the first project load in QGis Server is ruling.

I'm using QGIS 1.8

Best regards

Related issues:
Duplicated by QGIS Application - Bug report # 10068: QGIS server caches layer... Closed 2014-04-14

History

#1 - 2013-05-31 01:24 AM - Marco Hugentobler
- Status changed from Open to Feedback

Do the layers have the same layerID?

The layer id is meant to be globally unique. Otherwise, the QGIS server won't be able to cache layers and styles (and thus loose performance).

#2 - 2013-06-03 02:49 AM - leolami -

Hi,

No problem if the layers have different id.

But in a classic workflow is possible that fot the preparation of a project we start with a template project.

So, in this case, the layers of the template project have the same id in all the derived projects.

If I change the associated style of one of this layers in a derived projects | don't have change in the WMS resuilt.

Anyone had the same problem and know the way to resolve it?

A solution may be the association layer id / project at Qgis Server level?

All the best.

Leonardo
#3 - 2013-07-13 03:40 AM - Jiirgen Fischer
- Status changed from Feedback to Open

#4 - 2014-01-30 11:41 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#5 - 2014-03-21 03:11 AM - Paolo Cavallini

Agreed, a pretty annoying issue; having IDs as a combination of the project name and the layerid seems the way to go
#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2018-03-01 12:24 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please test with a recent QGIS release (2.18 or 3), if the issue/request is still valid change the affected version accordingly, if is fixed/implemented then
close the ticket. Thanks!

#8 - 2018-08-16 10:40 AM - Giovanni Manghi
- Resolution set to not reproducable

- Description updated

- Status changed from Feedback to Closed

Closing for lack of feedback.
